import { DomSanitizer } from '@angular/platform-browser';
export declare class IconService {
    private sanitizer;
    constructor(sanitizer: DomSanitizer);
    temperatureIconSvg: string;
    temperature: import("@angular/platform-browser").SafeHtml;
    speedIconSvg: string;
    speed: import("@angular/platform-browser").SafeHtml;
    rainfallIconSvg: string;
    rainfall: import("@angular/platform-browser").SafeHtml;
    humidityIconSvg: string;
    humidity: import("@angular/platform-browser").SafeHtml;
    pressureIconSvg: string;
    pressure: import("@angular/platform-browser").SafeHtml;
    windDirectionIconSvg: string;
    windDirection: import("@angular/platform-browser").SafeHtml;
    PM2_5IconSvg: string;
    PM2_5: import("@angular/platform-browser").SafeHtml;
    PM10IconSvg: string;
    PM10: import("@angular/platform-browser").SafeHtml;
    SO2IconSvg: string;
    SO2: import("@angular/platform-browser").SafeHtml;
    NO2IconSvg: string;
    NO2: import("@angular/platform-browser").SafeHtml;
    COIconSvg: string;
    CO: import("@angular/platform-browser").SafeHtml;
    O3IconSvg: string;
    O3: import("@angular/platform-browser").SafeHtml;
}
